{% extends "base.html" %}

<!--dynamic table-->
{% block extrahead %}
    {% load staticfiles %}
    <link href="{% static "assets/datatables/css/dataTables.bootstrap.min.css" %}" rel="stylesheet">
{% endblock %}

{% block title %}Restaurant Contact List{% endblock %}
{% block contact_active %}active{% endblock %}
{% block parent_restaurant_a_active %}active{% endblock %}
{% block parent_restaurant_i_active %}active{% endblock %}

{% block content %}
    <div class="row">
        <div class="col-sm-12">
            <section class="panel panel-content">
                <header class="panel-heading" style="font-size: 20px">
                    <span>Contact Us Management</span>

                    <span class="tools pull-right">
                            <a class="btn btn-success start" href="{% url 'add_contacts' %}">
                                <i class="glyphicon glyphicon-plus"></i>
                                <span>Add New</span>
                            </a>
                    </span>
                </header>
                <div class="panel-body">
                    <div class="adv-table table-responsive">
                        <table class="display table table-bordered table-striped"
                               id="prize-table">
                            <thead>
                            <tr>
                                <th class="center text-center ver-center">No</th>
                                <th class="center text-center ver-center">Name</th>
                                <th class="center text-center ver-center">Email</th>
                                <th class="center text-center ver-center">Phone</th>
                                <th class="center text-center ver-center">Content</th>
                                <th class="center text-center ver-center">Status</th>
                                <th class="center text-center ver-center">Action</th>
                            </tr>
                            </thead>
                        </table>
                    </div>
                </div>
            </section>
        </div>
    </div>
    {#Comfirm Delete#}
    <div class="modal fade" id="confirmDelete" tabindex="-1" role="dialog"
         aria-labelledby="myModalLabel"
         aria-hidden="true">
        <div class="modal-dialog modal-sm">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal"
                            aria-hidden="true">&times;</button>
                    <h4 class="modal-title"><strong>Delete Contact</strong></h4>
                </div>
                <div class="modal-body" style="padding-bottom: 0px!important; padding: 0 3%;">
                    <form action="">
                        <div class="form-group">
                            <label>Are you sure you want to delete?</label>
                        </div>
                    </form>
                </div>
                <div class="modal-footer" style="text-align: center">
                    <button class="btn btn-default" type="button" data-dismiss="modal">No
                    </button>
                    <a id="comfirm-yes">
                        <button class="btn btn-danger" type="button">Yes</button>
                    </a>
                </div>
            </div>
        </div>
    </div>
    {#End Comfirm delete#}
{% endblock %}
{% block extrafoot %}
    {% load staticfiles %}
    <script src="{% static 'assets/datatables/js/jquery.dataTables.min.js' %}"></script>
    <script src="{% static 'assets/datatables/js/dataTables.bootstrap.min.js' %}"></script>
    <!--dynamic table initialization -->
    <script src="{% static 'js/dynamic_table_init.js' %}"></script>
    <script>

        $(document).ready(function () {
            //Disable table error alert
            $.fn.dataTable.ext.errMode = 'throw';

            $('#prize-table').dataTable({
                "order": [[0, "desc"]],
                "serverSide": true,
                "ajax": {
                    "url": "{% url 'get_contacts_list_as_json' %}",
                },
                "columns": [
                    {
                        "orderable": true,
                        "data": null,
                        "width": '5%',
                        "sClass": 'text-center',
                        "render": function (data, type, row, meta) {
                            return row.stt
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
                        "width": '20%',
                        "render": function (data, type, full, meta) {
                            var subject_link = '<a href="/cms/contacts/edit/' + full.id + '">' + full.name + '</a>'
                            return subject_link;
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
                        "width": '20%',
                        "render": function (data, type, row, meta) {
                            var subject_link = '<a href="/cms/contacts/edit/' + row.id + '">' + row.email + '</a>'
                            return subject_link;
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
                        "width": '10%',
                        "render": function (data, type, row, meta) {
                            var subject_link = '<a href="/cms/contacts/edit/' + row.id + '">' + row.phone + '</a>'
                            return subject_link;
                        }
                    },
                    {
                        "orderable": true,
                        "data": null,
                        "width": '15%',
                        "render": function (data, type, row, meta) {
                            return row.content;
                        }
                    },
                    {
					    "orderable": true,
                        "data": null,
                        "width": '10%',
                        "sClass": "text-center",
                        "render": function (data, type, row, meta) {
                            if (row.status == 1) {
                                return 'Request'
                            }
                            if (row.status == 2) {
                                return 'Processing'
                            }
                            if (row.status == 3) {
                                return 'Finished'
                            }
                            if (row.status == 4) {
                                return 'Cancel'
                            }
                        }
                    },
                    {
					    "orderable": false,
                        "data": null,
                        "width": '6%',
                        "render": function (data, type, row, meta) {
                            if (row.is_delete == 0) {
                                return '<a style="cursor: pointer;" onclick="deleteContact(' + row.id + ')">Delete</a>'
                            }
                            if (row.is_delete == 1) {
                                return '<span class="fa fa-trash-o text-danger">Deleted</span>'
                            }
                        }
                    },
                ]
            });
        })
        function deleteContact(id) {
            var url = '/cms/contacts/delete/' + id + '/'
            $("#confirmDelete").modal("show");
            $("#comfirm-yes").attr("href", url);
        }
    </script>
{% endblock %}
